切换主题
获取视频任务状态
OpenAI 兼容的视频任务状态查询接口。
返回视频任务的详细状态信息。
获取视频任务状态
GET /v1/videos/{task_id}
OpenAI 兼容的视频任务状态查询接口。
返回视频任务的详细状态信息。
认证
BearerAuth
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明 |
|---|---|---|---|---|
| task_id | path | 是 | string | 视频任务 ID |
响应
200 成功获取视频任务状态
application/json
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
| id | 是 | string | - |
| object | 是 | string | - |
| model | 是 | string | - |
| status | 是 | string | - |
| progress | 是 | integer | - |
| created_at | 是 | integer | - |
| seconds | 是 | string | - |
原始 Schema
json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"object": {
"type": "string"
},
"model": {
"type": "string"
},
"status": {
"type": "string"
},
"progress": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"seconds": {
"type": "string"
}
},
"required": [
"id",
"object",
"model",
"status",
"progress",
"created_at",
"seconds"
],
"x-apifox-orders": [
"id",
"object",
"model",
"status",
"progress",
"created_at",
"seconds"
]
}404 任务不存在
application/json
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
| error | 否 | object | - |
| error.message | 否 | string | 错误信息 |
| error.type | 否 | string | 错误类型 |
| error.param | 否 | string | null | 相关参数 |
| error.code | 否 | string | null | 错误代码 |
原始 Schema
json
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "错误信息"
},
"type": {
"type": "string",
"description": "错误类型"
},
"param": {
"type": [
"string",
"null"
],
"description": "相关参数"
},
"code": {
"type": [
"string",
"null"
],
"description": "错误代码"
}
},
"x-apifox-orders": [
"message",
"type",
"param",
"code"
]
}
},
"x-apifox-orders": [
"error"
]
}